import React, { Component } from 'react'
import ReactDOM from 'react-dom'
import Chart from './Chart'

class ChartContainer {
    constructor(...args){
        this.config = {
            ...args[0]
        }
        this.render()
    }
    render(){
        let el = this.config.el
        ReactDOM.render(
        	<Chart {...this.config} />,
        	document.getElementById(el)
        )
    }
}

export default ChartContainer
